Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229183 - php-tidy fails in its check section
Summary: php-tidy fails in its check section
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tidy
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-19 12:54 UTC by Dmitry Butskoy
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-28 17:00:26 UTC


Attachments (Terms of Use)

Description Dmitry Butskoy 2007-02-19 12:54:43 UTC
There is "php-extras" package, which uses libtidy to build correspond "php-tidy"
package.

Since php 5.2.1, the %check section for "php-tidy" is failed, the fail test is
no. 24

All was fine for the previous php-5.2.0 .

Since I trust the PHP upstream ;), it seems for me that it is some (little?)
tidy issue. Maybe just recompiling etc. could help...


The correspond build report is here:
http://buildsys.fedoraproject.org/logs/fedora-development-extras/27799-php-extras-5.2.1-1.fc7/

-------------------------------------------------

TEST 18/27 [tests/018.phpt]
PASS binary safety [tests/018.phpt] 
TEST 19/27 [tests/019.phpt]
PASS tidy_repair_*() and invalid parameters [tests/019.phpt] 
TEST 20/27 [tests/020.phpt]
PASS OO API [tests/020.phpt] 
TEST 21/27 [tests/021.phpt]
PASS tidy_get_opt_doc() [tests/021.phpt] 
TEST 22/27 [tests/022.phpt]
PASS tidy_repair_*() and invalid parameters [tests/022.phpt] 
TEST 23/27 [tests/023.phpt]
PASS tidy and tidyNode OO [tests/023.phpt] 
TEST 24/27 [tests/024.phpt]
FAIL libtidy handling of 'new-blocklevel-tags' [tests/024.phpt] 
^^^
TEST 25/27 [tests/025.phpt]
PASS tidyNode tests [tests/025.phpt] 
TEST 26/27 [tests/026.phpt]
PASS tidy.clean_output test [tests/026.phpt] 
TEST 27/27 [tests/027.phpt]
PASS Bug: tidy segfaults with markup=false [tests/027.phpt] 
=====================================================================
Number of tests :   27                27
Tests skipped   :    0 (  0.0%) --------
Tests warned    :    0 (  0.0%) (  0.0%)
Tests failed    :    1 (  3.7%) (  3.7%)
Tests passed    :   26 ( 96.3%) ( 96.3%)
---------------------------------------------------------------------

Comment 1 Dmitry Butskoy 2007-02-27 13:04:53 UTC
Tests 24-27 are new for 5.2.1, and test 24 has a code:
> if (strtotime(tidy_get_release()) < strtotime('20 january 2007')) die ('skip
old libtidy');

i.e. it always failed because the current Extras' tidy version is before "20 jan
2007".

It seems that now php want the latest tidy only...

Comment 2 Rex Dieter 2007-02-27 13:33:00 UTC
Hrm, coulda sworn I had checked for a newer tidy version lately (maybe it was
before Jan 20), and Extras' had the latest.  I'll go check again...  (:

Comment 3 Dmitry Butskoy 2007-02-28 15:54:08 UTC
See http://tidy.sourceforge.net/src/ , tidy_src.tgz is dated 01.feb.2007 ...

Comment 4 Rex Dieter 2007-02-28 16:53:35 UTC
ok, build queued (job #28414)

%changelog
* Wed Feb 28 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.99.0-12.20070228
- 2007-02-28 snapshot


Comment 5 Rex Dieter 2007-02-28 17:00:26 UTC
build completed.

Comment 6 Dmitry Butskoy 2007-03-01 12:34:40 UTC
Thanks,
Now php tidy test is OK.


Note You need to log in before you can comment on or make changes to this bug.